#
# spec file for package autotrace
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           autotrace
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pstoedit-devel
Summary:        Program for Converting Bitmaps to Vector Graphics
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Graphics/Convertors
Provides:       bitmap_tracing
Version:        0.31.1 
Release:        lp152.3.7
Source:         %{name}-%{version}.tar.bz2
Source1:        pstoedit.m4
Patch0:         %{name}-%{version}-quotefix.diff
# PATCH-FIX_OPENSUSE 0001-fix_input_png.patch sfalken@opensuse.org -- fixes build failure against libpng15
Patch1:         0001-fix_input_png.patch
Url:            http://autotrace.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ImageMagick-devel
# FIXME: Broken with the latest pstoedit. See Fedora patches for partial fix.
#BuildConflicts: pstoedit-devel

%description
AutoTrace is a program for converting bitmaps to vector graphics. The
aim of the AutoTrace project is the development of a freely-available
application similar to CorelTrace or Adobe Streamline. In some aspects,
it is already better. Originally created as a plug-in for the GIMP,
AutoTrace is now a stand-alone program and can be compiled on any UNIX
platform using GCC.

%package -n libautotrace3
Summary:        Library for converting bitmaps to vector graphics
Group:          System/Libraries

%description -n libautotrace3
AutoTrace is a program for converting bitmaps to vector graphics. The
aim of the AutoTrace project is the development of a freely-available
application similar to CorelTrace or Adobe Streamline. In some aspects,
it is already better. Originally created as a plug-in for the GIMP,
AutoTrace is now a stand-alone program and can be compiled on any UNIX
platform using GCC.

%package devel

Summary:        Library for converting bitmaps to vector graphics
Group:          Development/Libraries/C and C++
Requires:       libautotrace3 = %{version}

%description devel
AutoTrace is a program for converting bitmaps to vector graphics. The
aim of the AutoTrace project is the development of a freely-available
application similar to CorelTrace or Adobe Streamline. In some aspects,
it is already better. Originally created as a plug-in for the GIMP,
AutoTrace is now a stand-alone program and can be compiled on any UNIX
platform using GCC.

%prep
%setup -q
%patch0
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fno-tree-sra"
cat %{SOURCE1} >>acinclude.m4
autoreconf -f -i
%configure\
	--disable-static
%{__make} %{?jobs:-j%jobs}

%install
%make_install
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libautotrace3 -p /sbin/ldconfig

%postun -n libautotrace3 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING FAQ NEWS README README.MING THANKS TODO
%{_bindir}/autotrace
%{_mandir}/man1/autotrace.1*

%files -n libautotrace3
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/*-config
%{_datadir}/aclocal/*.m4
%{_includedir}/autotrace
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 12 2014 sfalken@opensuse.org
- Add 0001-fix_input_png.patch:  Corrects build failure against libpng15
- Updated .spec file to use %%make_install macro
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Mon Mar  7 2011 sbrabec@suse.cz
- Split according to shared library packaging rules.
- Enabled ImageMagick support.
* Mon Dec 20 2010 meissner@suse.de
- libexif does not seem to be directly required
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Tue Apr 21 2009 crrodriguez@suse.de
- remove static libraries and "la" files
- cleanup spec file a bit
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan  6 2005 sbrabec@suse.cz
- Provide bitmap_tracing virtual.
* Tue Dec  7 2004 pth@suse.de
- Fix AC_DEFUN quoting
* Mon Jun 28 2004 ro@suse.de
- added libjpeg,libtiff to neededforbuild
* Sun Apr 25 2004 ro@suse.de
- added no-strict-aliasing
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 meissner@suse.de
- added libexif to nfb
* Mon May 26 2003 ro@suse.de
- add manpage to filelist
* Sat May 10 2003 schwab@suse.de
- Force libtool update.
* Thu Dec 26 2002 ro@suse.de
- added liblcms-devel to neededforbuild
* Thu Nov 21 2002 sbrabec@suse.cz
- Added new package.
- Libtool updates, otherwise cannot create shared   library (autoreconf
  needs extra macro in pstoedit.m4).
